using System;
using System.Collections.Generic;
using System.Text;
using Halo3Map.IO;
using Halo3Map.Data;

namespace Halo3Map.Tags.Layouts
{
    [Tag("Anthony", "trak", 1.0)]
    public class trak : H3Tag
    {
        [Size(4)]
        public byte[] unused;

        public H3Reflexive<ControlPoints> controlPoints;
        [Size(28)]
        public class ControlPoints : Chunk
        {
            public float PosI;
            public float PosJ;
            public float PosK;
            public float OrientationI;
            public float OrientationJ;
            public float OrientationK;
            public float OrientationW;
        }

        [Size(4)]
        public byte[] unused2;
    }
}